# Class MessagePolicy.TargetPolicy

java.lang.Object
javax.security.auth.message.MessagePolicy.TargetPolicy

Enclosing class:
  `MessagePolicy`

public static class MessagePolicy.TargetPolicy extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TargetPolicy(MessagePolicy.Target[] targets, MessagePolicy.ProtectionPolicy protectionPolicy)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessagePolicy.ProtectionPolicy`
  `getProtectionPolicy()`
  `MessagePolicy.Target[]`
  `getTargets()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TargetPolicy

    public TargetPolicy(MessagePolicy.Target[] targets, MessagePolicy.ProtectionPolicy protectionPolicy)

- ## Method Details

  - ### getTargets

    public MessagePolicy.Target[] getTargets()

  - ### getProtectionPolicy

    public MessagePolicy.ProtectionPolicy getProtectionPolicy()